curl --request PATCH \
--url https://api.signa.so/v1/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated monitor name",
"webhook_url": "https://myapp.com/webhooks/new-endpoint",
"webhook_events": [
"new_filing",
"status_change"
]
}
'{
"id": "<string>",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}Update monitor configuration.
You can update the monitor name, description, watches, webhook URL, or webhook events. Only provide the fields you want to update.
curl --request PATCH \
--url https://api.signa.so/v1/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated monitor name",
"webhook_url": "https://myapp.com/webhooks/new-endpoint",
"webhook_events": [
"new_filing",
"status_change"
]
}
'{
"id": "<string>",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}Use your API key from the dashboard. Include it in the Authorization header:
Authorization: Bearer YOUR_API_KEYGet your API key at https://signa.so/dashboard
Monitor ID
Monitor name
Monitor description
Watch criteria
Offices to monitor
Webhook endpoint URL
Events to trigger webhooks
new_filing, status_change, similar_mark_detected, trademark_published, trademark_registered, trademark_opposed, trademark_cancelled